Data Analysis Outline

Sequencing data was initially trimmed using Trim Galore v0.4.3 (q = 20, paired end) (Krueger, 2012) After trimming, reads were mapped back to the geoduck genome using Bismark v0.17.0 (N = 1) (Krueger and Andrews, 2011). Methylation status was extracted from the Bismark output via Methyl Extract v1.9.1 (minQ=30 varFraction=0.05 maxPval=0.01 flagW=99,147 flagC=83,163) (Barturen et al., 2013)


- FastQC (paired option)
- Trim Galore (No RRBS, min quality value 20, paired option)
- Bismark Genome Prep (Lambda genome found [here](https://www.ncbi.nlm.nih.gov/nuccore/215104), _P. generosa_ genome found [here](http://owl.fish.washington.edu/halfshell/Panopea_generosa-Scaff-10k.fa)
- Bismark Alignment (-multicore = 3, # of mismatches allowed = 1)
- MethylExtract (min quality for base = 30, discard nucleotides with frequency less than 0.05, max p-val for location to be considered SNP is 0.01)
- Combine indivudal sample SNP VCFs via vcf-merge
- Calculate relatedness via vcftools --relatedness
- Combine methylation data using R's merge function (unless this blows up R, these are some big files, then we'll need to find an SQL solution)
- Feed relatedness matrix, methylation matrix, and [predictor matrix](https://github.com/seanb80/project_juvenile_geoduck_OA/blob/master/Files/Predictor.xlsx) in to MACAU

Andrews S., 2010. FastQC: a quality control tool for high throughput sequence data. Available online at: http://www.bioinformatics.babraham.ac.uk/projects/fastqc  

Barturen, G. et al., 2013. MethylExtract: High-Quality methylation maps and SNV calling from whole genome bisulfite sequencing data. [version 2; referees: 3 approved]. F1000Research, 2, p.217.  

Danecek, P. et al., 2011. The variant call format and VCFtools. Bioinformatics, 27(15), pp.2156–2158.  

Krueger, F. & Andrews, S.R., 2011. Bismark: a flexible aligner and methylation caller for Bisulfite-Seq applications. Bioinformatics, 27(11), pp.1571–1572.  

Krueger, F., 2012. Trim Galore: a wrapper tool around CutAdapt and FastQC. Availble online at: http://www.bioinformatics.babraham.ac.uk/projects/trim_galore/  

Lea, A.J., Tung, J. & Zhou, X., 2015. A flexible, efficient binomial mixed model for identifying differential DNA methylation in bisulfite sequencing data. PLoS Genetics, 11(11), p.e1005650. 

R Core Team, 2016. R: A language and environment for statistical computing. R Foundation for Statistical Computing, Vienna, Austria. Available online at: https://www.R-project.org/.
